/* 
 * $RCSfile: init.c,v $
 *
 * x-kernel v3.2
 *
 * Copyright (c) 1993,1991,1990,1996  Arizona Board of Regents
 *
 * $Log: init.c,v $
 * Revision 1.4  1996/11/22 18:41:56  mjk
 * *** empty log message ***
 *
 * Revision 1.2  1996/03/19 18:24:00  mjk
 * *** empty log message ***
 *
 * Revision 1.1  1996/03/19  18:06:27  mjk
 * Initial revision
 *
 */

#include <ctype.h>
#include <sys/types.h>

#include "thread.h"
#include "config.h"
#include "x_stdio.h"
#include "process.h"
#include "upi.h"
#include "xk_debug.h"
#include "event_i.h"
#include "event.h"
#include "compose.h"
#include "platform.h"
#include "prottbl.h"
#include "x_libc.h"
#include "x_util.h"
#include "netmask.h"
#include "rom.h"
#include "machine.h"

int traceinit = 0;

int globalArgc;
char **globalArgv;
char *rom[ROM_MAX_LINES + 1][ROM_MAX_FIELDS + 1];  

int	traceinit;

static void	pgraphStub(Event, void *);



pthread_mutex_t stop;

int main(int argc, char *argv[] ) {
  sigset_t	set;
  
				/* Block all the signals that must be
                                   delivered to SPECIFIC threads, or
                                   just aren't handled. */
  sigemptyset(&set);
  sigaddset(&set,SIGALRM);	/* don't use this w/ pthreads (bugs) 	*/
  sigaddset(&set,SIGINT);	/* \C-c nicely exits 			*/
  sigaddset(&set,SIGIO);	/* Async IO notification 		*/
  sigaddset(&set,SIGURG);	/* Unused 				*/
  sigprocmask(SIG_BLOCK, &set, NULL);

  /* setbuf(stdout, 0); */
  globalArgc = argc;
  globalArgv = argv;

  threadInit();	
  xTraceInit();
  initRom();
  map_init();
  msgInit();
  init_input_handler();
  evInit(EVENT_INTERVAL);
  netMaskInit();
  prottbl_init();
  upiInit();
  xMallocInit();
  build_pgraph_dev();
  evDetach(evSchedule(pgraphStub, 0, 0));
    
  pthread_exit(0);

  return 0;
} /* main */


static void pgraphStub(Event ev, VOID *arg) {
    build_pgraph();
}


