
/* PPP Frame Delimiting Values */
#define FLAG       0x7e    /* Frame Delimiter                      */
#define ADDRESS    0xff    /* Address Field-all 1's                */
#define CONTROL    0x03    /* Control Field                        */
#define FCS_CHECK  0xabcd  /* Frame Check Sequence                 */

/* Protocol Encapsulation Values-Protocol Field */
#define IP         0x0021  /* Internet Protocol                    */
#define OSI        0x0023  /* OSI Network Layer                    */
#define XEROXNSIDP 0x0025  /* Xerox NS IDP                         */
#define DECNET_IV  0x0027  /* DECnet Phase IV                      */
#define APPLETALK  0x0029  /* Appletalk                            */
#define NOVEL_IPX  0x002b  /* Novell IPX                           */
#define VJC_TCPIP  0x002d  /* Van Jacobson Compressed TCP/IP       */
#define VJUC_TCPIP 0x002f  /* Van Jacobson Un-compressed TCP/IP    */
#define BPDU       0x0031  /* Bridging PDU                         */
#define STR_PROT   0x0033  /* Stream Protocol (ST-II)              */
#define BANYAN_V   0x0035  /* Banyan Vines                         */
#define HP802_1D   0x0201  /* 802.1d Hello Packets                 */
#define LUXCOM     0x0231  /* Luxcom                               */
#define SIGMA_NS   0x0233  /* Sigma Network Systems                */

#define IPCP       0x8021  /* Internet Protocol Control Protocol   */
#define ONLCP      0x8023  /* OSI Network Layer Control Protocol   */
#define XNICP      0x8025  /* Xerox NS IDP Control Protocol        */
#define DPIVCP     0x8027  /* DECnet Phase IV Control Protocol     */
#define ACP        0x8029  /* Appletalk Control Protocol           */
#define NICP       0x802b  /* Novell IPX Control Protocol          */
#define BNCP       0x8031  /* Bridging NCP                         */
#define SPCP       0x8033  /* Stream Protcol Control Protocol      */
#define BVCP       0x8035  /* Banyan Vines Control Protocol        */
#define LCP        0xc021  /* Link Control Protocol                */
#define PAP        0xc023  /* Password Authentication Protocol     */
#define LQR        0xc025  /* Link Quality Protocol                */
#define CHAP       0xc223  /* Challenge Handshake Authent Prot     */

/* Link Control Protocol(LCP) Values */
#define CONF_REQ   0x1    /* Configure Request                     */
#define CONF_ACK   0x2    /* Configure-Ack                         */
#define CONF_NAK   0x3    /* Configure-Nak                         */
#define CONF_REJ   0x4    /* Configure Reject                      */
#define TERM_REQ   0x5    /* Terminate Request                     */
#define TERM_ACK   0x6    /* Terminate Ack                         */
#define CODE_REJ   0x7    /* Code Reject                           */
#define PROT_REJ   0x8    /* Protocol Reject                       */
#define ECHO_REQ   0x9    /* Echo Request                          */
#define ECHO_REP   0xa    /* Echo Reply                            */
#define DISC_REQ   0xb    /* Discard Request                       */

/* LCP Configuration Options Values */
#define MRU        0x1    /* Maximum Receive Unit, aka MTU         */
#define ACCM       0x2    /* Async-Control-Character-Map           */
#define AP         0x3    /* Authentication Protocol               */
#define QP         0x4    /* Quality Protocol                      */
#define MN         0x5    /* Magic Number                          */
#define PFC        0x7    /* Protocol-Field-Compression            */
#define ACFC       0x8    /* Address-and-Comtrol-Field-Compression */

/* SSTATE state values */
#define Closed     1      /* State is closed                       */
#define Listen     2      /* Listen                                */
#define Req_Sent   3      /* Request Sent                          */
#define Ack_Rcvd   4      /* Ack Received                          */
#define Ack_Sent   5      /* Ack Sent                              */
#define Opened     6      /* State is opened                       */
#define Closing    7      /* State is closing                      */
