/* 
 * $RCSfile: vcache_i.h,v $
 *
 * x-kernel v3.2
 *
 * Copyright (c) 1993,1991,1990  Arizona Board of Regents
 *
 *
 * $Log: vcache_i.h,v $
 * Revision 1.9  1994/08/18 20:49:29  menze
 *   [ 1994/07/08          menze ]
 *   Added maps and session state to support storage of participants used
 *   to open sessions.  This prevents having to re-open lower sessions.
 *
 */

#define VCACHE_ALL_SESSN_MAP_SZ	511	/* sessn keyed (all vcache sessns) */
#define	VCACHE_HLP_MAP_SZ	11	/* hlp keyed */
#define VCACHE_COLLECT_INTERVAL	15	/* seconds */
#define PART_BUF_SZ		500

#include "dlist.h"

typedef struct {
    Map 	passiveMap;

    /* 
     * idleMap:  { lls -> sessn }
     */
    Map 	idleMap;

    /* 
     * idlePartMap:  { Participants -> list of sessns }
     *
     * The idlePartMap is used to satisfy active open requests, and so
     * vcache sessions are placed in the idlePartMap only if they were
     * returned as the result of an active open.  This prevents us
     * from returning server sessions as client sessions, if the lower
     * protocol makes such distinctions. 
     *
     * The list of sessions is necessary to support caching above
     * protocols that return distinct sessions for each xOpen with the
     * same participants (e.g., CHAN).
     */
    Map 	idlePartMap;

    /* 
     * activeLlsMap:  { lls -> sessn }
     */
    Map		activeMap;

} PState;

typedef struct SState {
    struct dlist	e;
    XObj		self;
    IPhost		remote_host;
    void		*partBuf;
    int			partBufLen;
} SState;



extern int	tracevcachep;



